%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
%define _with_javadoc 0

Name:             jboss-marshalling
Version:          1.3.9
Release:          %mkrel 2
Summary:          JBoss Marshalling
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/jbossmarshalling

# git clone git://github.com/dmlloyd/jboss-marshalling.git
# cd jboss-marshalling/ && git archive --format=tar --prefix=jboss-marshalling-1.3.9.GA/ 1.3.9.GA | xz > ../jboss-marshalling-1.3.9.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-1.3.0.GA-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    jboss-parent
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    maven-injection-plugin
BuildRequires:    maven-surefire-provider-testng
BuildRequires:    testng
BuildRequires:    jboss-modules
BuildRequires:    qdox
BuildRequires:    apiviz
BuildRequires:    jdepend
BuildRequires:    graphviz
BuildRequires:    gdata-java

Requires:         jboss-modules
Requires:         jpackage-utils
Requires:         java

%description
This package contains JBoss Marshalling

%files
%{_javadir}/jboss/%{name}*.jar
%{_mavenpomdir}/JPP.jboss-%{name}*.pom
%{_mavendepmapfragdir}/%{name}
%doc COPYING.txt

#--------------------------------------------------------------------

%if %_with_javadoc
%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}
%doc COPYING.txt
%endif

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build
# Caused by: java.lang.ClassNotFoundException: com.thoughtworks.qdox.model.AbstractInheritableJavaEntity
# But the clss exists in qdox WTF?
mvn-rpmbuild install -Dmaven.test.skip=true 
# TODO build javadoc
#javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for m in river serial; do
  cp -p ${m}/target/%{name}-${m}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}-${m}.jar
  install -pm 644 ${m}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-${m}.pom
  %add_maven_depmap JPP.jboss-%{name}-${m}.pom jboss/%{name}-${m}.jar
done

# JARS
cp -p api/target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POMS
install -pm 644 api/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar
%add_maven_depmap JPP.jboss-%{name}-parent.pom

%if %_with_javadoc
# JAVADOC
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.3.9-2.mga3
+ Revision: 355076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 1.3.9-1.mga3
+ Revision: 263332
- Sync with fedora

  + gil <gil>
    - update to 1.3.9.GA
    - imported package jboss-marshalling

